
Redmine - Feature #11498

Add --no-account-notice option for the mail handler script

2012-07-24 14:26 - Alex Shulgin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed   

Description

Sometimes you want to set up a project which accepts email from new users (as in --unknown-user=create,) but you don't want

Redmine to reply with account information for the newly created users (to avoid mailing back to spammers, etc.)

This patch adds a Redmine's mail handler script option just for that.

Related issues:

Related to Redmine - Patch #10178: Allow silent user account creation for iss... Closed

Related to Redmine - Defect #13714: no account notice setting works in mail h... Closed

Related to Redmine - Feature #8673: Disabling user creation emails. Closed 2011-06-23

Has duplicate Redmine - Feature #7919: Adding option to disable activation ma... Closed 2011-03-18

Has duplicate Redmine - Feature #6068: Make a Silent Registration for new Mai... Closed 2010-08-06

Precedes Redmine - Defect #13712: Fix email rake tasks to also support no_acc... Closed

Associated revisions

Revision 11525 - 2013-03-03 09:41 - Jean-Philippe Lang

Mail handler: adds --no-account-notice option for not sending account information to the created user (#11498).

Revision 11581 - 2013-03-10 13:36 - Jean-Philippe Lang

Merged r11525 from trunk (#11498).

History

#1 - 2013-01-15 12:47 - Gregory Engels

+1 (please add this patch to the main release - we need this feature)

#2 - 2013-02-26 03:40 - Arnis Juraga

I think this is duplicate: #10178

#3 - 2013-03-03 09:42 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Subject changed from Added --no-account-notice option for the mail handler script to Add --no-account-notice option for the mail handler script

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.0

- Resolution set to Fixed

Feature added in r11525, thanks.

#4 - 2013-03-10 13:36 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#5 - 2013-03-18 13:16 - Terence Mill
https://www.redmine.org/issues/10178
https://www.redmine.org/projects/redmine/repository/svn/revisions/11525


Howto expanded: RedmineReceivingEmails

#6 - 2013-04-07 22:05 - Brandon Bertelsen

This feature doesn't seem to work in cron. Example:

*/30 * * * * cd /usr/share/redmine && rake redmine:email:receive_imap RAILS_ENV="production" port=993 ssl=true host=imap.gmail.com

username={} password={} project=Support status=New priority=High tracker=Support unknown_user=create no_permission_check=1

no_account_notice=1

The above still sends account notification emails to new email addresses.

#7 - 2013-04-08 15:46 - Alex Shulgin

- File Fix-email-rake-tasks-to-also-support-no_account_notice-option.patch added

Brandon Bertelsen wrote:

This feature doesn't seem to work in cron. Example:

*/30 * * * * cd /usr/share/redmine && rake redmine:email:receive_imap RAILS_ENV="production" port=993 ssl=true host=imap.gmail.com

username={} password={} project=Support status=New priority=High tracker=Support unknown_user=create no_permission_check=1

no_account_notice=1

The above still sends account notification emails to new email addresses.

 Hm, indeed.  The fix is trivial (attached.)

Now that I think about it, why don't we extract the options thing from the 3 rake tasks, like so:

    task :setup_options => :environment do

      @options = { :issue => {} }

      %w(project status tracker category priority).each { |a| @options[:issue][a.to_sym] = ENV[a] if ENV[a] }

      %w(allow_override unknown_user no_permission_check no_account_notice).each { |a| @options[a.to_sym] = EN

V[a] if ENV[a] }

    end

    task :read => :setup_options do

      MailHandler.receive(STDIN.read, @options)

    end

#8 - 2013-04-08 15:49 - Alex Shulgin

- File Fix-email-rake-tasks-to-also-support-no_account_notice-option.patch added

Ugh, sorry: not enough coffee.  Attaching the correct patch.

#9 - 2013-04-08 16:03 - Etienne Massip

Could you please post a new issue since this one has been closed for 2.3.0?

#10 - 2014-12-02 01:34 - Go MAEDA

- Related to Feature #8673: Disabling user creation emails. added

#11 - 2018-02-03 03:58 - Mischa The Evil

- Has duplicate Feature #7919: Adding option to disable activation mail for users created via email unknown_user=create added

#12 - 2019-02-11 01:31 - Go MAEDA

- Has duplicate Feature #6068: Make a Silent Registration for new Mail Customers added

Files

0013-Added-no-account-notice-option-for-the-mail-handler-.patch 3.45 KB 2012-07-24 Alex Shulgin

Fix-email-rake-tasks-to-also-support-no_account_notice-option.patch 2.11 KB 2013-04-08 Alex Shulgin

Fix-email-rake-tasks-to-also-support-no_account_notice-option.patch 2.11 KB 2013-04-08 Alex Shulgin
